﻿@model ListKong.Models.CompanyUserModel
@using  System.Data;
@{
    ViewData["Title"] = "Company User";
}

<div class="container-fluid" style="min-height: 500.8px;margin:0 !important;">
    <section class="content-header">

        <ol class="breadcrumb">
            <li><a asp-controller="CompanyUser" asp-action="Index"><i class="fa fa-dashboard"></i><span class="icon-after-span">Manage Company User</span></a></li>
            <li class="active">Add Company User</li>
        </ol>
    </section>
    <section class="content">
        <div class="row">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="box-title">Add Company User</h4>
                </div>
                @if (!string.IsNullOrEmpty(Convert.ToString(TempData["ErrorMessage"])))
                {
                    <div class="alert alert-danger">  @TempData["ErrorMessage"]</div>
                    <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                    </script>
                }
                @if (!string.IsNullOrEmpty(Convert.ToString(TempData["SuccessMessage"])))
                {
                    <div class="alert alert-success">  @TempData["SuccessMessage"]</div>
                    <script>
                                $(function () {
                                    setTimeout(function () { hideTarget(); }, 5000);
                                });
                                function hideTarget() {
                                    $(".alert").hide();
                                }
                    </script>
                }
                <form asp-action="CreateUser" enctype="multipart/form-data" method="post">
                    <div class="panel-body table-responsive">
                        <div class="col-md-6">
                            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                            <div class="form-group">
                                <input type="hidden" asp-for="CompanyId" class="form-control" />
                                <label asp-for="CompanyName" class="control-label"></label>
                                <input asp-for="CompanyName" class="form-control" style="pointer-events:none;" />
                                <span asp-validation-for="CompanyName" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="LocationId" class="control-label"></label>
                                <select asp-for="LocationId" id="LocationId" class="form-control">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dt;
                                        if (ViewData["Locations"] != null)
                                        {
                                            dt = (DataTable)ViewData["Locations"];

                                            for (int i = 0; i < dt.Rows.Count; i++)
                                            {
                                                <option value="@dt.Rows[i]["LocationId"]">@dt.Rows[i]["LocationName"]</option>
                                            }
                                        }
                                    }
                                </select>
                                <span asp-validation-for="LocationId" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="RoleName" class="control-label"></label>
                                <select asp-for="RoleName" id="RoleName" class="form-control">
                                    <option value="">-- Choose One --</option>
                                    @{
                                        DataTable dt1;
                                        if (ViewData["Roles"] != null)
                                        {
                                            dt1 = (DataTable)ViewData["Roles"];

                                            for (int i = 0; i < dt1.Rows.Count; i++)
                                            {
                                                <option value="@dt1.Rows[i]["Name"]">@dt1.Rows[i]["Name"]</option>
                                            }
                                        }
                                    }
                                </select>
                                <span asp-validation-for="RoleName" class="text-danger"></span>
                            </div>

                            <div class="form-group">
                                <label asp-for="FirstName" class="control-label"></label>
                                <input asp-for="FirstName" class="form-control" />
                                <span asp-validation-for="FirstName" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="LastName" class="control-label"></label>
                                <input asp-for="LastName" class="form-control" />
                                <span asp-validation-for="LastName" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="Email" class="control-label"></label>
                                <input asp-for="Email" class="form-control" />
                                <span asp-validation-for="Email" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="Password" class="control-label"></label>
                                <input asp-for="Password" class="form-control" />
                                <span asp-validation-for="Password" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <label asp-for="ConfirmPassword"></label>
                                <input asp-for="ConfirmPassword" class="form-control" />
                                <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                            </div>
                            <div class="form-group">
                                <input type="submit" value="Create Company User" class="btn btn-primary" />
                            </div>
                        </div>
                    </div>
                </form>
                <div class="footer-listing">
                    <a asp-action="Index">Back to List</a>
                </div>
            </div>
        </div>
    </section>
</div>


@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
